var startLanding = 0;
function preload(arrayOfImages) {
    $(arrayOfImages).each(function(){
        $('<img/>')[0].src = this; 
    });
}

$(document).ready(function() {
	var loaded = 0;
	$(".comunicacion").css("z-index",1000000);
	$('img.postload').on('load', function() {
	   loaded++;
	   if(loaded == $('img.postload').length){
	      setTimeout(function() { start(); }, 500);
	   }
	});
	newleft();
	setInterval(function() { newleft(); }, 3000);
});
 
$(document).on("mouseover",".duende", function() {
	$(".duende").css("z-index", "");
	$(this).css("z-index", "100");
});
function newleft() {
	var dateFuture = new Date(2019, 10, 3, 0, 0, 0);
	var dateNow = new Date();

	var seconds = Math.floor((dateFuture - (dateNow))/1000);
	var minutes = Math.floor(seconds/60);
	var hours = Math.floor(minutes/60);
	var days = Math.floor(hours/24); 
	hours = hours-(days*24);
	minutes = minutes-(days*24*60)-(hours*60);
	seconds = seconds-(days*24*60*60)-(hours*60*60)-(minutes*60);

	$("#left_dias").html((days < 10 ? "0" : "") + days);
	$("#left_hour").html((hours < 10 ? "0" : "") + hours);
	$("#left_minu").html((minutes < 10 ? "0" : "") + minutes);
}
setTimeout(function() {
 start();
},7000);
function start() { 
	if (startLanding == 0) {
		startLanding = 1;
		console.log('start');
		$("#loading").addClass("no");
		$(".container-fluid").addClass("show");
		setTimeout(function() {
			$("#loading").fadeOut(function() {
				console.log('outload');
				$("#logos").addClass("fadeIn").addClass("animated");
				$("#pinos_fondo").addClass("fadeIn").addClass("animated");
				//$("#pinos_fondo2").addClass("fadeIn").addClass("animated");
				$("#casa_fondo").addClass("fadeIn").addClass("animated");
				if ($(window).width() < 600 || $(window).width() > 2040) {
					$("#foofix").addClass("fadeIn").addClass("animated");
				}
				//$("#casa_fondo2").addClass("fadeIn").addClass("animated");
				setTimeout(function() {
					$("#supertitle").addClass("fadeIn").addClass("animated");
					$(".duende").addClass("fadeIn").addClass("animated");
					$(".duendes2").addClass("fadeIn").addClass("animated");

					setTimeout(function() {
						$("#marcas").addClass("fadeIn").addClass("animated");
						$("#talon").addClass("fadeIn").addClass("animated");
						if ($( window ).width() > 600 && $( window ).width() < 2040) {
							/*$("#lbox").addClass("fadeIn").addClass("animated"); */
							$("#countdownPC").show();
						}
						else {
							$("#countdownMO").show();
							$(".logoduende").addClass("fadeIn").addClass("animated");
						}
						setTimeout(function() {
							$("#countdown").addClass("fadeIn").addClass("animated"); 
						});
					},1000);
				},1000);
			});
		},1400);
	}
}

$(document).on("click","#close", function(e) {
	e.preventDefault();
	$("#lbox").css("display","").removeClass("animated");
	$("#lbox").css("pointer-events","none");
	$("#lbox").animate({'opacity':'0'},1000);
});